## linux-goldfish 3.4.0-4.23

=== debian/changelog ===
linux-goldfish (3.4.0-4.23) utopic; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ensure that if the first firmware is top level the firmware
    directory is made.
    Fixes FTBS

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 22 Sep 2014 11:59:19 -0600

linux-goldfish (3.4.0-4.22) utopic; urgency=low

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Sync to apparmor3 - RC1 snapshot
    - LP: #1362199

  [ Tyler Hicks ]

  * Revert "SAUCE: (no-up) apparmor: fix disconnected bind mnts
    reconnection"
  * Revert "SAUCE: (no-up) apparmor fix: remove unused cxt var for
    unix_sendmsg"
  * Revert "SAUCE: (no-up) apparmor: use custom write_is_locked macro"
  * Revert "SAUCE: (no-up) apparmor: fix bug that constantly spam the
    console"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor refcount bug in
    apparmor_kill"
  * Revert "SAUCE: (no-up) apparmor: fix refcount bug in apparmor
    pivotroot"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor spams log with warning
    message"
  * Revert "SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot"
  * SAUCE: (no-up) apparmor: update configs for apparmor3 - RC1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Sep 2014 09:47:58 -0600

linux-goldfish (3.4.0-4.21) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * ptrace, x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699
  * net/l2tp: don't fall back on UDP [get|set]sockopt
    - LP: #1341472
    - CVE-2014-4943

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 03 Sep 2014 12:29:01 -0700

linux-goldfish (3.4.0-4.20) utopic; urgency=low

  [ Tim Gardner ]

  * [Config] updateconfigs (fixes FTBS)

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 10:22:25 -0600

linux-goldfish (3.4.0-4.19) utopic; urgency=low

  [ Tim Gardner ]

  * Rebase to https://android.googlesource.com/kernel/goldfish
    9ac497fb4f1974c006cf4a0a920cf05bfb747ac7
    -LP: #1342783

  [ Upstream Kernel Changes ]

  * rebase to https://android.googlesource.com/kernel/goldfish 9ac497fb4f1974c006cf4a0a920cf05bfb747ac7

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 08:54:45 -0600

linux-goldfish (3.4.0-3.18) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * tty: Correct tty buffer flush.
    - LP: #1329374

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 06:26:03 -0600

linux-goldfish (3.4.0-3.17) utopic; urgency=low

  [ Javier Martinez Canillas ]

  * SAUCE: (no-up) apparmor: fix bug that constantly spam the console
    - LP: #1323526

  [ John Johansen ]

  * Revert "SAUCE: (no-up) apparmor: fix backtrace on non-smp, kernels."
  * Revert "SAUCE: apparmor: fix bad lock balance when introspecting
    policy"
  * Revert "SAUCE: apparmor: fix memleak of replacedby struct"
  * Revert "SAUCE: apparmor: fix memleak of the profile hash"
  * Revert "SAUCE: apparmor: allocate path lookup buffers during init"
  * Revert "SAUCE: apparmor: fix unix domain sockets to be mediated on
    connection"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot
  * SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6
  * SAUCE: (no-up) apparmor: fix apparmor spams log with warning message
    - LP: #1308761
  * SAUCE: (no-up) apparmor: fix refcount bug in apparmor pivotroot
    - LP: #1308765
  * SAUCE: (no-up) apparmor: fix apparmor refcount bug in apparmor_kill
    - LP: #1308764
  * SAUCE: (no-up) apparmor: use custom write_is_locked macro
    - LP: #1323530
  * SAUCE: (no-up) apparmor fix: remove unused cxt var for unix_sendmsg
  * SAUCE: (no-up) apparmor: fix disconnected bind mnts reconnection
    - LP: #1319984

  [ Tyler Hicks ]

  * [Config] CONFIG_ECRYPT_FS=y
  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR varies by arch
  * [Config] Sync LSM config options
  * [Config] CONFIG_KEYS_DEBUG_PROC_KEYS=n
  * [Config] CONFIG_COMPAT_BRK=n
  * [Config] Sync crypto config options
  * [Config] Sync IPsec config options

  [ Upstream Kernel Changes ]

  * kernel/sys.c: fix stack memory content leak via UNAME26
    - CVE-2012-0957
  * use clamp_t in UNAME26 fix
    - CVE-2012-0957
  * ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
    - CVE-2013-0871
  * ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
    - CVE-2013-0871
  * wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
    task
    - CVE-2013-0871
  * net: fix incorrect credentials passing
    - CVE-2013-1979
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - CVE-2013-2094
  * iscsi-target: fix heap buffer overflow on error
    - CVE-2013-2850
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - CVE-2013-4254
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - CVE-2013-4254
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - CVE-2014-1738
  * futex: Test for pi_mutex on fault in futex_wait_requeue_pi()
    - CVE-2014-3153
  * futex: Fix bug in WARN_ON for NULL q.pi_state
    - CVE-2014-3153
  * futex: Forbid uaddr == uaddr2 in futex_wait_requeue_pi()
    - CVE-2014-3153
  * futex: Handle futex_pi OWNER_DIED take over correctly
    - CVE-2014-3153
  * futex: avoid wake_futex() for a PI futex_q
    - CVE-2014-3153
  * futex: Revert "futex: Mark get_robust_list as deprecated"
    - CVE-2014-3153
  * futex: fix handling of read-only-mapped hugepages
    - CVE-2014-3153
  * futex: Add another early deadlock detection check
    - CVE-2014-3153
  * futex: Prevent attaching to kernel threads
    - CVE-2014-3153

