=== drivers/staging/sbe-2t3e3/Makefile ===
obj-$(CONFIG_SBE_2T3E3) += sbe-2t3e3.o

sbe-2t3e3-y := module.o netdev.o maps.o	\
	main.o cpld.o intr.o ctrl.o io.o dc.o exar7250.o exar7300.o
