=== drivers/net/ethernet/qlogic/qlcnic/Makefile ===
#
# Makefile for Qlogic 1G/10G Ethernet Driver for CNA devices
#

obj-$(CONFIG_QLCNIC) := qlcnic.o

qlcnic-y := qlcnic_hw.o qlcnic_main.o qlcnic_init.o \
	qlcnic_ethtool.o qlcnic_ctx.o
