=== debian/control ===
Source: linux-goldfish
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), libelf-dev, libiberty-dev, rsync, libdw-dev, libpci-dev, python-dev, gcc-4.7, flex, bison, xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-trusty.git goldfish

Package: linux-goldfish-headers-3.4.0-4
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
#Provides: linux-goldfish-headers, linux-goldfish-headers-2.6
Description: Header files related to Linux kernel version 3.4.0
 This package provides kernel header files for version 3.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-goldfish-headers-3.4.0-4/debian.README.gz for details

#Package: linux-goldfish-tools-common
#Architecture: armhf i386
#Section: kernel
#Priority: optional
#Depends: ${misc:Depends}
#Description: Linux kernel version specific tools for version 3.4.0
# This package provides the architecture independent parts for kernel
# version locked tools (such as perf) for version PGKVER.

Package: linux-goldfish-tools-3.4.0-4
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 3.4.0-4
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf) for version 3.4.0-4 on
 .
 You probabally want to install linux-tools-3.4.0-4-<flavour>.


Package: linux-image-3.4.0-4-goldfish
Architecture: armhf i386
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-goldfish-doc-3.4.0 | linux-goldfish-source-3.4.0, linux-goldfish-tools
Description: Linux kernel image for version 3.4.0 on Android touch emulation
 This package contains the Linux kernel image for version 3.4.0 on
 Android touch emulation.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Android touch emulation processors.
 .
 Android touch emulation
 .
 You likely do not want to install this package directly. Instead, install
 the linux-goldfish meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.4.0-4-goldfish
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-goldfish-headers-3.4.0-4, ${shlibs:Depends}
Description: Linux kernel headers for version 3.4.0 on Android touch emulation
 This package provides kernel header files for version 3.4.0 on
 Android touch emulation.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-goldfish-headers-3.4.0-4/debian.README.gz for details.

Package: linux-image-3.4.0-4-goldfish-dbgsym
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.4.0 on Android touch emulation
 This package provides a kernel debug image for version 3.4.0 on
 Android touch emulation.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-3.4.0-4-goldfish
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-goldfish-tools-3.4.0-4
Description: Linux kernel version specific tools for version 3.4.0-4
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.4.0-4 on
 .
