## linux-goldfish 3.4.0-4.24

=== debian/changelog ===
linux-goldfish (3.4.0-4.24) wily; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:57:44 -0700
